Bug 1753963 - Switch waf to Python 3 only
Summary: Switch waf to Python 3 only
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: waf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Moschny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-09-20 11:29 UTC by Miro Hrončok
Modified: 2019-10-09 22:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-09 21:31:10 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2019-09-20 11:29:22 UTC
In the line with https://fedoraproject.org/wiki/Changes/RetirePython2 I'd like to know whether we will:

- change waf to be Python 3 only, or
- request an exception for waf to continue to be Python 2

Note that only glmark2 BuildRequires waf and it builds fine with waf-python3. All other Fedora packages that use waf bundle their own.

Comment 1 Lumír Balhar 2019-09-27 10:03:55 UTC
Please answer the above question. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 2 Thomas Moschny 2019-10-04 10:00:47 UTC
I will work on making waf Python3-only. Need to find out how to get rid of the alternatives.

Comment 3 Lumír Balhar 2019-10-04 10:25:14 UTC
Let us know if you will need any assistance.

Comment 4 Miro Hrončok 2019-10-04 10:51:14 UTC
(In reply to Thomas Moschny from comment #2)
> I will work on making waf Python3-only. Need to find out how to get rid of
> the alternatives.

I think you can just replace the %ghost file with the actual executable and get rid of all the scriptlets.

Comment 5 Thomas Moschny 2019-10-09 21:31:10 UTC
Waf has been made Python3-only in this commit https://src.fedoraproject.org/rpms/waf/c/ed708c7, built here: https://koji.fedoraproject.org/koji/buildinfo?buildID=1398330.

Comment 6 Miro Hrončok 2019-10-09 22:19:13 UTC
Thank You!


Note You need to log in before you can comment on or make changes to this bug.